{------------------------------------------------------------------------------
                          P A L E T T E . P A S

Cette unit contient les routines de la feuille de palette de l'diteur. Elle
gre donc les boutons poussoir et provoque le changement de mode de la feuille
frmEditeur.
-------------------------------------------------------------------------------}
unit Palette;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ToolWin, ComCtrls, ExtCtrls;

const maxbout = 7;

type

  TfrmPalette = class(TForm)
    tbrBarre: TToolBar;
    tbtFleche: TToolButton;
    imlActif: TImageList;
    tbtMiroir: TToolButton;
    tbtEmetteur: TToolButton;
    tbtCible: TToolButton;
    tbtObsDestruct: TToolButton;
    tbtObsIndes: TToolButton;
    btnGomme: TToolButton;
    imlInactif: TImageList;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure tbtFlecheClick(Sender: TObject);
    procedure tbtMiroirClick(Sender: TObject);
    procedure tbtEmetteurClick(Sender: TObject);
    procedure tbtCibleClick(Sender: TObject);
    procedure tbtObsDestructClick(Sender: TObject);
    procedure tbtObsIndesClick(Sender: TObject);
    procedure btnGommeClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  frmPalette: TfrmPalette;

implementation

uses Editeur, Divers;

{$R *.DFM}

procedure TfrmPalette.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  if frmEditeur.visible then
    frmEditeur.mnuPalette.checked := false;
end;

procedure TfrmPalette.FormCreate(Sender: TObject);
begin
  frmpalette.height := 3*tbtFleche.height;
  frmpalette.width := tbrBarre.width+2;
  frmPalette.top := 50;
  frmPalette.left := screen.width - frmpalette.width;
end;

procedure TfrmPalette.tbtFlecheClick(Sender: TObject);
begin
  frmEditeur.mode := mdNormal;
  frmEditeur.cursor := crDefault;
end;

procedure TfrmPalette.tbtMiroirClick(Sender: TObject);
begin
  frmEditeur.mode := mdMiroir;
  frmEditeur.Cursor := crMiroir;
end;

procedure TfrmPalette.tbtEmetteurClick(Sender: TObject);
begin
  frmEditeur.mode := mdEmetteur;
  frmEditeur.cursor := crLaser;
end;

procedure TfrmPalette.tbtCibleClick(Sender: TObject);
begin
  frmEditeur.mode := mdCible;
  frmediteur.cursor := crCible;
end;

procedure TfrmPalette.tbtObsDestructClick(Sender: TObject);
begin
  frmEditeur.mode := mdObstacle1;
//  frmEditeur.mode2 := mdObstacle1;
  frmEditeur.cursor := crObs1;
end;

procedure TfrmPalette.tbtObsIndesClick(Sender: TObject);
begin
  frmEditeur.mode := mdObstacle2;
  frmEditeur.cursor := crObs2;
end;

procedure TfrmPalette.btnGommeClick(Sender: TObject);
begin
  frmEditeur.mode := mdGomme;
  frmEditeur.cursor := crGomme;
end;

end.
